<?php
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the form data
    $to_email = isset($_POST["to_email"]) ? $_POST["to_email"] : "";
    $subject = isset($_POST["subject"]) ? $_POST["subject"] : "";
    $body = isset($_POST["body"]) ? $_POST["body"] : "";
    $from = isset($_POST["from"]) ? $_POST["from"] : "";

    // Validate the form data
    $errors = array();
    if (empty($to_email)) {
        $errors[] = "To email is required.";
    }
    if (empty($body)) {
        $errors[] = "Body is required.";
    }
    if (empty($from)) {
        $errors[] = "From is required.";
    }

    // Send the email if there are no errors
    if (empty($errors)) {
        // Split the email addresses into an array
        $recipients = preg_split('/\r\n|[\r\n]/', $to_email);

        // Output a table header
        echo "<table>";
        echo "<tr><th>Email Address</th><th>Status</th></tr>";

        // // Loop through each recipient and send the email
foreach ($recipients as $recipient) {
    $recipient = trim($recipient); // Remove any whitespace or newlines
    if (!empty($recipient)) {
        // Generate a random 4-letter code for each field
        $wildcard_from = substr(str_shuffle("qwertyuiopasdfghjklzxcvbnm1234567890"), 0, 4);
        $wildcard_subject = substr(str_shuffle("1234567890"), 0, 4);
        $wildcard_body = substr(str_shuffle("qwertyuiopasdfghjklzxcvbnm1234567890"), 0, 4);

        $headers = "From: $from$wildcard_from\r\n";
        $headers .= "X-Mailer: Mate Mail (5405983632)\r\n";
        $headers .= "MIME-Version: 1.0\r\n";
        $headers .= "Content-Type: text/plain; charset=utf-8\r\n";
        $headers .= "Content-Transfer-Encoding: 7bit\r\n";

        // Replace the wildcard in the subject and body
        $recipient_subject = str_replace("[wildcard]", $wildcard_subject, $subject);
        $recipient_body = str_replace("[wildcard]", $wildcard_body, $body);

        if (mail($recipient, $recipient_subject, $recipient_body, $headers)) {
            echo "<tr><td>$recipient</td><td>Sent successfully</td></tr>";
        } else {
            echo "<tr><td>$recipient</td><td>Failed to send email</td></tr>";
        }
        sleep(2); // Wait 5 seconds before sending the next email
    }
}


        // Output the table footer
        echo "</table>";
    } else {
        // Output the validation errors
        echo "<ul>";
        foreach ($errors as $error) {
            echo "<li>$error</li>";
        }
        echo "</ul>";
    }
}
?>

<!-- Output the input form -->
<form method="post">
    <label for="to_email">To Email:</label>
    <textarea id="to_email" name="to_email"></textarea><br>

    <label for="subject">Subject:</label>
    <input type="text" id="subject" name="subject"><br>

    <label for="body">Body:</label>
    <textarea id="body" name="body"></textarea><br>

    <label for="from">From:</label>
    <input type="text" id="from" name="from"><br>

    <input type="submit" value="Send Email">
</form>

NOTE.
..........
[wildcard]
..........

BODY = [wildcard] generate random 4 letters
SUBJECT = [wildcard] generate random 4 NUMBERS
FRom = auto 8 numbers 