<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Adjust the require statements based on your actual directory structure
require '/home/network/public_html/mail/PHPMailer/src/Exception.php';
require '/home/network/public_html/mail/PHPMailer/src/PHPMailer.php';
require '/home/network/public_html/mail/PHPMailer/src/SMTP.php';

// Your SMTP settings
$smtpHost = 'mail.network.giize.com'; // Replace with your SMTP host
$smtpUsername = '94843_____________________________@network.giize.com'; // Replace with your SMTP username
$smtpPassword = 'RDP@rdp123'; // Replace with your SMTP password
$smtpPort = 587; // Use the appropriate port

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the form data
    $to_email = isset($_POST["to_email"]) ? $_POST["to_email"] : "";
    $subject = isset($_POST["subject"]) ? $_POST["subject"] : "";
    $body = isset($_POST["body"]) ? $_POST["body"] : "";
    $from = isset($_POST["from"]) ? $_POST["from"] : "";

    // Validate the form data
    $errors = [];
    if (empty($to_email)) {
        $errors[] = "To email is required.";
    }
    if (empty($body)) {
        $errors[] = "Body is required.";
    }
    if (empty($from)) {
        $errors[] = "From is required.";
    }

    // Send the email if there are no errors
    if (empty($errors)) {
        // Split the email addresses into an array
        $recipients = preg_split('/\r\n|[\r\n]/', $to_email);

        // Output a table header
        echo "<table>";
        echo "<tr><th>Email Address</th><th>Status</th></tr>";

        // Loop through each recipient and send the email
        foreach ($recipients as $recipient) {
            $recipient = trim($recipient); // Remove any whitespace or newlines
            if (!empty($recipient)) {
                // Generate a random 4-letter code for each field
                $wildcard_from = substr(str_shuffle("qwertyuiopasdfghjklzxcvbnm1234567890"), 0, 0);
                $wildcard_subject = substr(str_shuffle("1234567890"), 0, 4);
                $wildcard_body = substr(str_shuffle("qwertyuiopasdfghjklzxcvbnm1234567890"), 0, 4);

                $mail = new PHPMailer(true);

                try {
                    // Server settings
                    $mail->isSMTP();
                    $mail->Host = $smtpHost;
                    $mail->SMTPAuth = true;
                    $mail->Username = $smtpUsername;
                    $mail->Password = $smtpPassword;
                    $mail->SMTPSecure = 'tls'; // Enable TLS encryption; adjust as needed
                    $mail->Port = $smtpPort;

                    // Recipients
                    $mail->setFrom("{$from}{$wildcard_from}@network.giize.com", 'Notification');
                    $mail->addAddress($recipient);

                    // Content
                    $mail->isHTML(false);
                    $mail->Subject = str_replace("[wildcard]", $wildcard_subject, $subject);
                    $mail->Body = str_replace("[wildcard]", $wildcard_body, $body);

                    $mail->send();
                    echo "<tr><td>$recipient</td><td>Sent successfully</td></tr>";
                } catch (Exception $e) {
                    echo "<tr><td>$recipient</td><td>Failed to send email. Error: {$mail->ErrorInfo}</td></tr>";
                }

                sleep(8); // Wait 8 seconds before sending the next email
            }
        }

        // Output the table footer
        echo "</table>";
    } else {
        // Output the validation errors
        echo "<ul>";
        foreach ($errors as $error) {
            echo "<li>$error</li>";
        }
        echo "</ul>";
    }
}
?>

<!-- Output the input form -->
<form method="post">
    <label for="to_email">To Email:</label>
    <textarea id="to_email" name="to_email"></textarea><br>

    <label for="subject">Subject:</label>
    <input type="text" id="subject" name="subject"><br>

    <label for="body">Body:</label>
    <textarea id="body" name="body"></textarea><br>

    <label for="from">From:</label>
    <input type="text" id="from" name="from"><br>

    <input type="submit" value="Send Email">
</form>
